# Installation

## Setting up the environment

1. Create a virtual environment:
```sh
python3 -m venv .venv
```

2. Activate the virtual environment:
```sh
. .venv/bin/activate
```

3. Install dependencies:
```sh
pip install requirements.txt
```

4. Set the environment variables:
```sh
export GIT_URL=http://git.adrianux.net
export WEBSITE_URL=http://adrianux.net
export DEBUGMODE=False
```

5. Run the app:
```sh
waitress-serve --listen=0.0.0.0:8080 app:app
```

# Docker

## Building the container

```sh
docker build -t adrianux:latest - < latest.dockerfile
```


## Running the container

```sh
docker run adrianux:latest
```
# Docker Compose

```sh
docker compose up adrianux
```
