FROM alpine:latest
WORKDIR /opt/

ENV GIT_URL=https://git.adrianux.net
ENV WEBSITE_URL=https://adrianux.net
ENV DEBUG_MODE=False

COPY . .

RUN apk add --no-cache git python3
RUN python3 -m venv /opt/.venv
RUN /opt/.venv/bin/pip install --no-cache-dir -r requirements.txt
RUN apk del git

EXPOSE 8080

HEALTHCHECK --interval=5m CMD wget --delete-after http://localhost:8080

CMD [ "/opt/.venv/bin/waitress-serve", "--listen=0.0.0.0:8080", "app:app" ]
